import * as tslib_1 from "tslib";
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { ButtonModule } from '../button/button.module';
import { OverlayModule } from '../overlay/overlay.module';
import { CalendarComponent } from './calendar';
import { MonthViewComponent } from './month-view';
import { DatePickerComponent } from './datepicker';
import { RangeDatePickerComponent } from './range-datepicker';
var components = [
    CalendarComponent,
    MonthViewComponent,
    DatePickerComponent,
    RangeDatePickerComponent
];
var CalendarModule = /** @class */ (function () {
    function CalendarModule() {
    }
    CalendarModule = tslib_1.__decorate([
        NgModule({
            imports: [CommonModule, FormsModule, ButtonModule, OverlayModule],
            declarations: components.slice(),
            exports: components.slice()
        })
    ], CalendarModule);
    return CalendarModule;
}());
export { CalendarModule };
//# sourceMappingURL=calendar.module.js.map