/**
 * decorate input properties with get and set method, it does two things:
 *
 * - enable boolean input property shorthand
 * - enable listening input property change
 *
 * @param {boolean?} isBooleanProperty - whether the property is a boolean property like disabled
 * @param {boolean?} force force trigger property event(only when the event is defined)
 */
export declare function OnChange(isBooleanProperty?: boolean, force?: boolean): any;
