import * as tslib_1 from "tslib";
import { Component, HostBinding, ViewEncapsulation } from '@angular/core';
import { NbFormItemComponent } from './nb-form-item.component';
var NbFormExplainComponent = /** @class */ (function () {
    function NbFormExplainComponent(_nbFormItem) {
        this._nbFormItem = _nbFormItem;
        this._nbFormExplain = true;
    }
    NbFormExplainComponent.prototype.ngOnDestroy = function () {
        this._nbFormItem.disableHelp();
    };
    NbFormExplainComponent.prototype.ngOnInit = function () {
        this._nbFormItem.enableHelp();
    };
    tslib_1.__decorate([
        HostBinding("class.nb-form-explain"),
        tslib_1.__metadata("design:type", Object)
    ], NbFormExplainComponent.prototype, "_nbFormExplain", void 0);
    NbFormExplainComponent = tslib_1.__decorate([
        Component({
            selector: '[nb-form-explain]',
            encapsulation: ViewEncapsulation.None,
            template: "\n        <ng-content></ng-content>\n    "
        }),
        tslib_1.__metadata("design:paramtypes", [NbFormItemComponent])
    ], NbFormExplainComponent);
    return NbFormExplainComponent;
}());
export { NbFormExplainComponent };
//# sourceMappingURL=nb-form-explain.component.js.map