import { OnInit, ElementRef, OnChanges, Renderer2 } from '@angular/core';
import { NbRowDirective } from './row.directive';
export declare abstract class EmbeddedProperty {
    span: number;
    pull: number;
    push: number;
    offset: number;
    order: number;
}
export declare class NbColDirective implements OnInit, OnChanges {
    private _elementRef;
    _nbRow: NbRowDirective;
    private _renderer;
    _classList: Array<any>;
    _el: HTMLElement;
    _prefixCls: string;
    readonly paddingLeft: number;
    readonly paddingRight: number;
    nbSpan: number;
    nbOrder: number;
    nbOffset: number;
    nbPush: number;
    nbPull: number;
    nbXs: number | EmbeddedProperty;
    nbSm: number | EmbeddedProperty;
    nbMd: number | EmbeddedProperty;
    nbLg: number | EmbeddedProperty;
    nbXl: number | EmbeddedProperty;
    /** temp solution since no method add classMap to host https://github.com/angular/angular/issues/7289*/
    setClassMap(): void;
    generateClass(): any;
    ngOnChanges(): void;
    constructor(_elementRef: ElementRef, _nbRow: NbRowDirective, _renderer: Renderer2);
    ngOnInit(): any;
}
