import * as tslib_1 from "tslib";
import { Component, ElementRef, ViewEncapsulation, ChangeDetectionStrategy, Input, ContentChild } from '@angular/core';
import { OnChange } from '../core/decorators';
import { TabTitleDirective } from './tab-title.directive';
var TabComponent = /** @class */ (function () {
    function TabComponent(elementRef) {
        this.elementRef = elementRef;
        this.disabled = false;
        this.active = false;
        this.tipable = false;
    }
    tslib_1.__decorate([
        ContentChild(TabTitleDirective, { static: false }),
        tslib_1.__metadata("design:type", TabTitleDirective)
    ], TabComponent.prototype, "templateTitle", void 0);
    tslib_1.__decorate([
        Input(),
        tslib_1.__metadata("design:type", String)
    ], TabComponent.prototype, "title", void 0);
    tslib_1.__decorate([
        OnChange(true),
        Input(),
        tslib_1.__metadata("design:type", Boolean)
    ], TabComponent.prototype, "disabled", void 0);
    tslib_1.__decorate([
        OnChange(true),
        Input(),
        tslib_1.__metadata("design:type", Boolean)
    ], TabComponent.prototype, "active", void 0);
    tslib_1.__decorate([
        OnChange(true),
        Input(),
        tslib_1.__metadata("design:type", Boolean)
    ], TabComponent.prototype, "tipable", void 0);
    TabComponent = tslib_1.__decorate([
        Component({
            selector: 'nb-tab',
            template: "<ng-content></ng-content>",
            encapsulation: ViewEncapsulation.None,
            changeDetection: ChangeDetectionStrategy.OnPush,
            exportAs: 'nbTab',
            host: {
                'class': 'nb-widget nb-tab-content',
                '[class.active]': 'active',
            }
        }),
        tslib_1.__metadata("design:paramtypes", [ElementRef])
    ], TabComponent);
    return TabComponent;
}());
export { TabComponent };
//# sourceMappingURL=tab.js.map