import * as tslib_1 from "tslib";
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';
var TransferService = /** @class */ (function () {
    function TransferService() {
        this.subject = new Subject();
    }
    /**
     * subject send message to observer
     * @param countObj send message
     * @docs-private
     */
    TransferService.prototype.sendMsg = function (countObj) {
        this.subject.next(countObj);
    };
    /**
     * observer get message from subject
     * @docs-private
     */
    TransferService.prototype.getMsg = function () {
        return this.subject.asObservable();
    };
    TransferService = tslib_1.__decorate([
        Injectable()
    ], TransferService);
    return TransferService;
}());
export { TransferService };
//# sourceMappingURL=transfer.service.js.map