export declare class CodeBoxComponent {
    /**
     * ts/js code
     * @default ''
     */
    tsCode: string;
    /**
     * html code
     * @default ''
     */
    htmlCode: string;
    /**
     * less/css code
     * @default ''
     */
    lessCode: string;
    /**
     * whether show source code
     * @docs-private
     */
    showSource: boolean;
    /**
     * whether show demo
     * @docs-private
     */
    _showDemo: boolean;
    /**
     * @docs-private
     */
    onToggleDemo(): void;
    /**
     * @docs-private
     * @param {MouseEvent} event - mouse event
     */
    onToggleViewSource(event: MouseEvent): void;
}
