import { animate, state, style, transition, trigger, } from '@angular/animations';
export var collapseAnimation = trigger('collapseAnimation', [
    state('inactive', style({
        opacity: '0',
        height: 0
    })),
    state('active', style({
        opacity: '1',
        height: '*'
    })),
    transition('inactive => active', animate('150ms ease-in')),
    transition('active => inactive', animate('150ms ease-out'))
]);
//# sourceMappingURL=collapse-animations.js.map