import * as tslib_1 from "tslib";
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DialogComponent } from './dialog';
import { DialogHeaderComponent } from './dialog-header';
import { DialogBodyComponent } from './dialog-body';
import { DialogFooterComponent } from './dialog-footer';
import { AlertComponent } from './alert';
import { OverlayModule } from '../overlay';
import { ButtonModule } from '../button';
import { ConfirmComponent } from './confirm';
var DialogModule = /** @class */ (function () {
    function DialogModule() {
    }
    DialogModule = tslib_1.__decorate([
        NgModule({
            imports: [CommonModule, ButtonModule, OverlayModule],
            declarations: [DialogComponent, DialogHeaderComponent, DialogBodyComponent, DialogFooterComponent, AlertComponent, ConfirmComponent],
            exports: [DialogComponent, DialogHeaderComponent, DialogBodyComponent, DialogFooterComponent, AlertComponent, ConfirmComponent],
            entryComponents: [AlertComponent, ConfirmComponent]
        })
    ], DialogModule);
    return DialogModule;
}());
export { DialogModule };
//# sourceMappingURL=dialog.module.js.map