import * as tslib_1 from "tslib";
import { Component, ElementRef, Renderer2, Input, ViewEncapsulation } from '@angular/core';
var FormComponent = /** @class */ (function () {
    function FormComponent(_elementRef, _renderer) {
        this._elementRef = _elementRef;
        this._renderer = _renderer;
        this._prefixCls = 'nb-form';
        this.nbLayout = 'horizontal';
        this._el = this._elementRef.nativeElement;
    }
    FormComponent.prototype.ngOnInit = function () {
        this.setClassMap();
    };
    FormComponent.prototype.setClassMap = function () {
        this._renderer.addClass(this._el, this._prefixCls + "-" + this.nbLayout);
    };
    tslib_1.__decorate([
        Input(),
        tslib_1.__metadata("design:type", String)
    ], FormComponent.prototype, "nbLayout", void 0);
    FormComponent = tslib_1.__decorate([
        Component({
            selector: '[nb-form]',
            template: "<ng-content></ng-content>",
            encapsulation: ViewEncapsulation.None,
            preserveWhitespaces: false,
            host: {
                'class': 'nb-widget nb-form'
            },
            exportAs: 'nbForm'
        }),
        tslib_1.__metadata("design:paramtypes", [ElementRef, Renderer2])
    ], FormComponent);
    return FormComponent;
}());
export { FormComponent };
//# sourceMappingURL=form.js.map