import * as tslib_1 from "tslib";
import { Component, HostBinding } from '@angular/core';
var NbFormItemComponent = /** @class */ (function () {
    function NbFormItemComponent() {
        this._withHelp = 0;
        this._nbFormItem = true;
    }
    NbFormItemComponent.prototype.enableHelp = function () {
        this._withHelp++;
    };
    NbFormItemComponent.prototype.disableHelp = function () {
        this._withHelp--;
    };
    Object.defineProperty(NbFormItemComponent.prototype, "withHelp", {
        get: function () {
            return this._withHelp > 0;
        },
        enumerable: true,
        configurable: true
    });
    tslib_1.__decorate([
        HostBinding("class.nb-form-item"),
        tslib_1.__metadata("design:type", Object)
    ], NbFormItemComponent.prototype, "_nbFormItem", void 0);
    tslib_1.__decorate([
        HostBinding("class.nb-form-item-with-help"),
        tslib_1.__metadata("design:type", Boolean),
        tslib_1.__metadata("design:paramtypes", [])
    ], NbFormItemComponent.prototype, "withHelp", null);
    NbFormItemComponent = tslib_1.__decorate([
        Component({
            selector: '[nb-form-item]',
            template: "\n        <ng-content></ng-content>\n    "
        }),
        tslib_1.__metadata("design:paramtypes", [])
    ], NbFormItemComponent);
    return NbFormItemComponent;
}());
export { NbFormItemComponent };
//# sourceMappingURL=nb-form-item.component.js.map