import * as tslib_1 from "tslib";
import { Directive, ElementRef } from '@angular/core';
/**
 * Directive applied to an element to make it usable as an origin for an Overlay using a
 * ConnectedPositionStrategy.
 */
var OverlayOriginDirective = /** @class */ (function () {
    function OverlayOriginDirective(
    /** Reference to the element on which the directive is applied. */
    el) {
        this.el = el;
    }
    OverlayOriginDirective = tslib_1.__decorate([
        Directive({
            selector: '[nbOverlayOrigin]',
            exportAs: 'nbOverlayOrigin'
        }),
        tslib_1.__metadata("design:paramtypes", [ElementRef])
    ], OverlayOriginDirective);
    return OverlayOriginDirective;
}());
export { OverlayOriginDirective };
//# sourceMappingURL=overlay-origin.directive.js.map