import * as tslib_1 from "tslib";
import { Injectable } from '@angular/core';
import { ConnectedPositionStrategy } from './connected-position.strategy';
import { GlobalPositionStrategy } from './global-position.strategy';
/** Builder for overlay position strategy. */
var OverlayPositionBuilder = /** @class */ (function () {
    function OverlayPositionBuilder() {
    }
    /**
     * Creates a global position strategy.
     */
    OverlayPositionBuilder.prototype.global = function () {
        return new GlobalPositionStrategy();
    };
    /**
     * Creates a relative position strategy.
     * @param elementRef
     * @param originPos
     * @param overlayPos
     */
    OverlayPositionBuilder.prototype.attachTo = function (targetRef, overlayRef) {
        return new ConnectedPositionStrategy(targetRef, overlayRef);
    };
    OverlayPositionBuilder = tslib_1.__decorate([
        Injectable(),
        tslib_1.__metadata("design:paramtypes", [])
    ], OverlayPositionBuilder);
    return OverlayPositionBuilder;
}());
export { OverlayPositionBuilder };
//# sourceMappingURL=overlay-position-builder.js.map