import * as tslib_1 from "tslib";
import { Component, Input, ViewEncapsulation, ChangeDetectionStrategy } from '@angular/core';
var SliderTrackerComponent = /** @class */ (function () {
    function SliderTrackerComponent() {
    }
    tslib_1.__decorate([
        Input(),
        tslib_1.__metadata("design:type", Object)
    ], SliderTrackerComponent.prototype, "selected", void 0);
    tslib_1.__decorate([
        Input(),
        tslib_1.__metadata("design:type", Object)
    ], SliderTrackerComponent.prototype, "position", void 0);
    tslib_1.__decorate([
        Input(),
        tslib_1.__metadata("design:type", Object)
    ], SliderTrackerComponent.prototype, "orientation", void 0);
    SliderTrackerComponent = tslib_1.__decorate([
        Component({
            selector: 'nb-slider-tracker',
            template: "<div #sliderTracker\n        [style.width.%]=\"orientation ? selected : 100\"\n        [style.height.%]=\"orientation ? 100 : selected\"\n        [style.margin-left.%]=\"orientation ? position : ''\"\n        [style.bottom.%]=\"orientation ? '' : position\"\n        class=\"nb-slider-tracker\"></div>",
            encapsulation: ViewEncapsulation.None,
            changeDetection: ChangeDetectionStrategy.OnPush,
            preserveWhitespaces: false,
            exportAs: 'nbSliderTracker'
        })
    ], SliderTrackerComponent);
    return SliderTrackerComponent;
}());
export { SliderTrackerComponent };
//# sourceMappingURL=slider-tracker.js.map