import * as tslib_1 from "tslib";
import { Component, ViewEncapsulation, ChangeDetectionStrategy, Input } from '@angular/core';
import { OnChange } from '../core/decorators';
/**
 * table row component
 */
var TableRowComponent = /** @class */ (function () {
    function TableRowComponent() {
        /**
         * whether the table row is checked(selected)
         */
        this.checked = false;
    }
    tslib_1.__decorate([
        OnChange(true),
        Input(),
        tslib_1.__metadata("design:type", Boolean)
    ], TableRowComponent.prototype, "checked", void 0);
    TableRowComponent = tslib_1.__decorate([
        Component({
            selector: 'tr[nb-row]',
            template: '<ng-content></ng-content>',
            preserveWhitespaces: false,
            encapsulation: ViewEncapsulation.None,
            changeDetection: ChangeDetectionStrategy.OnPush,
            host: {
                'class': 'nb-table-row',
                '[class.nb-table-row-checked]': 'checked'
            },
            exportAs: 'nbRow'
        })
    ], TableRowComponent);
    return TableRowComponent;
}());
export { TableRowComponent };
//# sourceMappingURL=table-row.js.map