import { EventEmitter } from '@angular/core';
/**
 * table td component
 */
export declare class TableTdComponent {
    /**
     * when edit, emits a `edit` event
     */
    edit: EventEmitter<any>;
    /**
     * whether the cell is editable
     * @default false
     */
    editable: boolean;
    /**
     * whether the cell is editing
     * @default false
     */
    editing: boolean;
    /**
     * @docs-private
     */
    onEdit(): void;
}
