import * as tslib_1 from "tslib";
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ButtonModule } from '../button';
import { TooltipModule } from '../tooltip';
import { OverlayModule } from '../overlay';
import { TableComponent } from './table';
import { TableBodyComponent } from './table-tbody';
import { TableHeaderComponent } from './table-thead';
import { TableTdComponent } from './table-td';
import { TableRowComponent } from './table-row';
import { TableHeaderItemComponent } from './table-th';
var components = [
    TableComponent,
    TableHeaderComponent,
    TableHeaderItemComponent,
    TableBodyComponent,
    TableRowComponent,
    TableTdComponent
];
var TableModule = /** @class */ (function () {
    function TableModule() {
    }
    TableModule = tslib_1.__decorate([
        NgModule({
            imports: [CommonModule, ButtonModule, TooltipModule, OverlayModule],
            declarations: components.slice(),
            exports: components.slice()
        })
    ], TableModule);
    return TableModule;
}());
export { TableModule };
//# sourceMappingURL=table.module.js.map