import * as tslib_1 from "tslib";
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TransferComponent } from './transfer';
import { TransferCandidateComponent } from './transfer-candidate';
import { TransferSelectedComponent } from './transfer-selected';
import { ButtonModule } from '../button/button.module';
import { SearchBoxModule } from '../search-box/search-box.module';
import { TreeModule } from '../tree/tree.module';
import { TransferService } from './transfer.service';
var TransferModule = /** @class */ (function () {
    function TransferModule() {
    }
    TransferModule = tslib_1.__decorate([
        NgModule({
            imports: [
                CommonModule,
                ButtonModule,
                SearchBoxModule,
                TreeModule
            ],
            declarations: [
                TransferComponent,
                TransferCandidateComponent,
                TransferSelectedComponent
            ],
            providers: [
                TransferService
            ],
            exports: [
                TransferComponent,
                TransferCandidateComponent,
                TransferSelectedComponent
            ]
        })
    ], TransferModule);
    return TransferModule;
}());
export { TransferModule };
//# sourceMappingURL=transfer.module.js.map