/**
 * add `className` to the dom element
 * @param {HTMLElement} dom - dom element
 * @param {string} className - class name
 */
export declare function addClass(dom: HTMLElement, className: string): void;
/**
 * deduple duplicate class names
 *
 * @param {string} className - class name
 * @return {string[]} class name array
 */
export declare function dedupleClassName(className: string): string[];
